Skip to content
Start here

List submitted abuse reports

abuse_reports.submitted.list(SubmittedListParams**kwargs) -> SyncV4PagePagination[SubmittedListResponse]
GET/accounts/{account_id}/abuse-reports/submitted

List abuse reports submitted by the account.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
account_id: str
maxLength32
id: Optional[str]

Filter by report code.

created_after: Optional[Union[str, datetime]]

Return reports submitted after this time.

formatdate-time
created_before: Optional[Union[str, datetime]]

Return reports submitted before this time.

formatdate-time
domain: Optional[Sequence[str]]

Filter by reported domain. This parameter can be specified multiple times.

page: Optional[int]

Page of submitted reports to return.

minimum1
per_page: Optional[int]

Number of submitted reports per page.

maximum200
minimum1
sort: Optional[str]

A property and direction to sort by (id, cdate, domain, type, status).

status: Optional[List[Literal["submitted", "accepted", "denied"]]]

Filter by submitter-facing status. This parameter can be specified multiple times.

One of the following:
"submitted"
"accepted"
"denied"
type: Optional[List[Literal["PHISH", "GEN", "THREAT", 6 more]]]

Filter by report type. This parameter can be specified multiple times.

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
ReturnsExpand Collapse
class SubmittedListResponse:
reports: List[Report]
id: str

Public report code.

cdate: datetime

Time the report was submitted.

formatdate-time
denial_reason: Optional[Literal["unable_to_confirm", "incomplete_report", "not_on_cloudflare", 10 more]]

Submitter-safe reason for a denied report. Null when unavailable.

One of the following:
"unable_to_confirm"
"incomplete_report"
"not_on_cloudflare"
"duplicate_report"
"content_removed"
"report_details_mismatch"
"no_abuse_found"
"missing_original_work"
"direct_url_required"
"wrong_report_category"
"content_unavailable"
"law_enforcement_referral_required"
"domain_dispute_process_required"
domain: str

Domain identified in the report.

status: Literal["submitted", "accepted", "denied"]

Status visible to the account that submitted the report.

One of the following:
"submitted"
"accepted"
"denied"
type: Literal["PHISH", "GEN", "THREAT", 6 more]

The abuse report type

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
submitter: Optional[ReportSubmitter]

Information about the submitter of the report.

company: Optional[str]
email: Optional[str]
name: Optional[str]
telephone: Optional[str]

List submitted abuse reports

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.abuse_reports.submitted.list(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result.items[0]
print(page.reports)
{
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2019-12-27T18:11:19.117Z",
        "denial_reason": "unable_to_confirm",
        "domain": "domain",
        "status": "submitted",
        "type": "PHISH",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        }
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2019-12-27T18:11:19.117Z",
        "denial_reason": "unable_to_confirm",
        "domain": "domain",
        "status": "submitted",
        "type": "PHISH",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        }
      }
    ]
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}